## kernel-patch-2.4.25-powerpc 2.4.25-8

=== debian/changelog ===
kernel-patch-2.4.25-powerpc (2.4.25-8) unstable; urgency=low

  * Built against kernel-source 2.4.25-3 to pull in security fixes and more :
    - Black listed "TOSHIBA CD-ROM XM-1702BC" in drivers/ide/ide-dma.c
      (Moritz Lennert, closes: #222939).
    - Set protocol in ip_route_me_harder in net/core/netfilter.c
      (closes: #236479).
    - Reverted hardsect change in drivers/scsi/sr.c (closes: #232586).
    - Tighten sanity in time_init to 250 PPM in arch/alpha/kernel/time.c
      (Scott Bailey, closes: #233096).
    - Call mkdep on headers with xargs in Makefile.
    - Fixed tuner support on WinTV-D boards in drivers/media/video/bttv-cards.c
      (2.6, closes: #241272).
    - Fixed single word src misalign > dest misalign case in
      arch/alpha/lib/stxncpy.S (glibc, closes: #237884).
    - Enhanced user input validation (Thomas Biege):
      . drivers/char/drm/r128_state.c
      . drivers/char/drm-4.0/r128_state.c
    - Fixed audio sampe size in drivers/sound/sb_audio.c (bk).
    - Fixed local root exploit in fs/isofs/rock.c (Ernie Petrides).
    - Clear b_data in journal_get_descriptor_buffer in fs/jbd/journal.c
      (Ted Ts'o).
    - Zero log buffer at mount time in fs/xfs/xfs_log.c (bk).
    - Fixed boundary checks for GUSAGE/SUSAGE in drivers/usb/hiddev.c.

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 15:30:08 +0200

kernel-patch-2.4.25-powerpc (2.4.25-7) unstable; urgency=low

  * Increase kernel size for chrp boot loader.
  * Built the serial driver modular on Power4. (Closes: #242548).
  * Adapted agp-uninorth patch mentioned by Michel Daenzer. (Closes: #242553)
  * Made sure trying to load the partport_pc module on pmacs didn't happen.
    May break on oldwolrd though, no idea. (Closes: #237601)

 -- Sven Luther <luther@debian.org>  Thu,  8 Apr 2004 23:45:11 +0200

kernel-patch-2.4.25-powerpc (2.4.25-6) unstable; urgency=low

  * ReiserFS, JFS and XFS are now builtin in every config except
    powerpc-small.
  * Added more verbose SMP system description. (Closes: #241671) 

 -- Sven Luther <luther@debian.org>  Fri,  2 Apr 2004 22:23:09 +0200

kernel-patch-2.4.25-powerpc (2.4.25-5) unstable; urgency=low

  * Added Promise Ultra 100 TX2 driver for Apple XServe.

 -- Sven Luther <luther@debian.org>  Sat, 27 Mar 2004 13:41:02 +0100

kernel-patch-2.4.25-powerpc (2.4.25-4) unstable; urgency=low

  * Adapted to the patch that actually made it into kernel-package.
  * Added asm/delay.h include to kahlua driver. (Closes: #226333, #217506)
  * Switched to using kernel-tree-2.4.25 instead of kernel-source-2.4.25.

 -- Sven Luther <luther@debian.org>  Fri, 19 Mar 2004 14:52:50 +0100

kernel-patch-2.4.25-powerpc (2.4.25-3) unstable; urgency=low

  * Fixed PReP builtin initrd build script.
  * Build with fixed kernel-package, so no need for a local hack.
  * Added missing radeon drm module.
  * Added agpgart module for Apple UniNorth. (Closes: #122209)

 -- Sven Luther <luther@debian.org>  Wed, 17 Mar 2004 17:11:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-2) unstable; urgency=low

  * Added proper changelog and other stuff to kernel-build and kernel-image
    files. Also cleaned up short description a bit.
  * Fixed CPUFREQ to run only on pmacs, since it was causing OOPSes on chrp
    hardware.
  * Added Power3 config too. Not sure it will work as is though.

 -- Sven Luther <luther@debian.org>  Thu,  4 Mar 2004 10:41:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-1) unstable; urgency=low

  * Now based on the 2.4 -benh tree, using 2.4.25-benh1 tag.
  * Added copying info for kernel-build package.
  * Enabled Amiga SFS filesystem write support.
  * Added builtin USB UHCI support.
  * Enabled serial console & sym53c8xx_2 scsi driver builtin,
    for IBM RS6000 B50 users (and others).
  * Added Power4 config, enables 32bit kernel for Power4 based IBM hardware as
    well as Powermacs G5s.

 -- Sven Luther <luther@debian.org>  Mon,  1 Mar 2004 18:42:46 +0100

kernel-patch-2.4.22-powerpc (2.4.22-13) unstable; urgency=low

  * There was another error in kernel-package, so i rebuilt again.
    Hopefully this is the right one now.

 -- Sven Luther <luther@debian.org>  Thu, 26 Feb 2004 11:08:22 +0100

kernel-patch-2.4.22-powerpc (2.4.22-12) unstable; urgency=low

  * Rebuilt with fixed kernel-package patch :/. At debian-installer base
    -install time, dpkg-architecture is not available, so use dpkg
    --print-installation-architecture.

 -- Sven Luther <luther@debian.org>  Wed, 25 Feb 2004 11:29:23 +0100

kernel-patch-2.4.22-powerpc (2.4.22-11) unstable; urgency=high

  * Built with a fixed version of kernel-package, in order to definitively fix
    the d-i kernel-install problem.
  * Enabled crypto lib stuff. (Closes: #232040)
  * make kernel-images depend on the exact version of kernel-modules.
  * Fixed truncated description. (Closes: #226398)
  * Removed security patch already applied in kernel-source. (Closes: #234052)

 -- Sven Luther <luther@debian.org>  Tue, 24 Feb 2004 12:07:11 +0100

kernel-patch-2.4.22-powerpc (2.4.22-10) unstable; urgency=low

  * Rebuilt against kernel-source 2.4.22-6 for security fix :
    Applied patch extracted from Solar Designer's Owl patched kernel to fix
    local privilege escalation discovered by Paul Starzetz (CAN-2004-0077).

 -- Sven Luther <luther@debian.org>  Wed, 11 Feb 2004 13:58:49 +0100

kernel-patch-2.4.22-powerpc (2.4.22-9) unstable; urgency=low

  * Added 3DFx voodood framebuffer device builtin into powerpc kernel, as well
    as a bunch of other framebuffer devices.

 -- Sven Luther <luther@debian.org>  Mon,  2 Feb 2004 14:09:15 +0100

kernel-patch-2.4.22-powerpc (2.4.22-8) unstable; urgency=low

  * There is also some problem with the postinst, let's rebuild it one more
    time.

 -- Sven Luther <luther@debian.org>  Fri, 30 Jan 2004 13:44:43 +0100

kernel-patch-2.4.22-powerpc (2.4.22-7) unstable; urgency=low

  * Modules installs should be silent, since the modules are not in the same

