=== debian/control ===
Source: kernel-patch-2.4.25-powerpc
Section: devel
Priority: optional
Maintainer: Sven Luther <luther@debian.org>
Build-Depends: kernel-tree-2.4.25 (>= 2.4.25-3), kernel-package, debianutils (>= 1.6), debhelper (>= 2)
Standards-Version: 3.6.1

Package: kernel-patch-2.4.25-powerpc
Architecture: all
Depends: kernel-tree-2.4.25 (>= 2.4.25-3)
Provides: kernel-patch-powerpc
Conflicts: kernel-patch-powerpc, kernel-patch-2.2.14-powerpc (<< 20000418-2.2.15pre16-1)
Replaces: kernel-patch-powerpc, kernel-patch-2.2.14-powerpc (<< 20000418-2.2.15pre16-1)
Description: diffs to the kernel source for PowerPC
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the BenH BitKeeper tree.

Package: kernel-headers-2.4.25
Architecture: all
Provides: kernel-headers, kernel-headers-2.4
Description: header files related to a specific Linux kernel
 This package provides kernel header files, for sites that want the latest
 kernel headers.  Read /usr/share/doc/kernel-headers-2.4.25/debian.README.gz
 for details.

Package: kernel-modules-2.4.25-powerpc
Section: base
Architecture: powerpc
Conflicts: kernel-image-2.4.25-powerpc (<< 2.4.25-2)
Description: linux kernel modules for the powerpc config
 This package contains the Linux/PowerPC modules for the powerpc
 variant of the powerpc kernel images, to be used with the pmac, chrp,
 chrp-rs6k or prep variant of the kernel.
 .
 This version contains the kernel modules for Power Macintosh, CHRP,
 Pegasos, IBM RS6000 CHRP and PReP computers.
 .
 Kernel modules packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-build-2.4.25-powerpc
Section: devel
Architecture: powerpc
Suggests: kernel-doc-2.4.25
Description: linux kernel build tree for the powerpc config
 This package contains part of the Linux/PowerPC kernel build tree, needed to
 build external modules (not yet fuly working) and initrd enabled kernel.
 .
 This version contains the kernel build tree for Power Macintosh, CHRP,
 Pegasos, IBM RS6000 CHRP and PReP computers.

Package: kernel-image-2.4.25-powerpc
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image
Description: linux kernel binary image for the powerpc config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version contains the kernel image and modules for Power Macintosh,
 CHRP, Pegasos, IBM RS6000 CHRP and PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.
 .
 This is only a dummy package needed during the build process by make-kpkg.

Package: kernel-image-2.4.25-powerpc-pmac
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc
Conflicts: kernel-image-2.4.25-powerpc, kernel-image-2.4.25-powerpc-chrp, kernel-image-2.4.25-powerpc-chrp-rs6k, kernel-image-2.4.25-powerpc-prep
Replaces: kernel-image-2.4.25-powerpc
Description: linux kernel pmac and yaboot binary image for the powerpc config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version contains the kernel images for Power Macintosh computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-image-2.4.25-powerpc-chrp
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc
Conflicts: kernel-image-2.4.25-powerpc, kernel-image-2.4.25-powerpc-pmac, kernel-image-2.4.25-powerpc-chrp-rs6k, kernel-image-2.4.25-powerpc-prep
Replaces: kernel-image-2.4.25-powerpc
Description: linux kernel CHRP binary image for the powerpc config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version contains the kernel images for CHRP and Pegasos computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-image-2.4.25-powerpc-chrp-rs6k
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc, kernel-image-2.4.25-powerpc-pmac, kernel-image-2.4.25-powerpc-chrp, kernel-image-2.4.25-powerpc-prep
Conflicts: kernel-image-2.4.25-powerpc
Replaces: kernel-image-2.4.25-powerpc
Description: linux kernel IBM RS6000 CHRP binary image for the powerpc config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version contains the kernel images for IBM RS6000 CHRP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-image-2.4.25-powerpc-prep
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc
Conflicts: kernel-image-2.4.25-powerpc, kernel-image-2.4.25-powerpc-pmac, kernel-image-2.4.25-powerpc-chrp, kernel-image-2.4.25-powerpc-chrp-rs6k
Replaces: kernel-image-2.4.25-powerpc
Description: linux kernel PReP binary image for the powerpc config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version contains the kernel images for PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-modules-2.4.25-powerpc-smp
Section: base
Architecture: powerpc
Description: linux kernel modules for the powerpc-smp config
 This package contains the Linux/PowerPC modules for the powerpc-smp
 variant of the powerpc kernel images, to be used with the pmac, chrp,
 chrp-rs6k or prep variant of the kernel. These modules are specifically
 for SMP (multiple processors) powerpc systems. If you do not have more
 than one CPU, then choose the non-SMP module package.
 .
 This version contains the kernel modules for Power Macintosh, CHRP,
 Pegasos, IBM RS6000 CHRP and PReP computers.
 .
 Kernel modules packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-build-2.4.25-powerpc-smp
Section: devel
Architecture: powerpc
Suggests: kernel-doc-2.4.25
Description: linux kernel build tree for the powerpc-smp config
 This package contains part of the Linux/PowerPC kernel build tree, needed to
 build external modules (not yet fully working) and initrd enabled kernel.
 .
 This version contains the kernel build tree for Power Macintosh, CHRP,
 Pegasos, IBM RS6000 CHRP and PReP computers.

Package: kernel-image-2.4.25-powerpc-smp
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc-smp (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image
Description: Linux kernel binary image for the powerpc-smp config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update. This kernel is specifically
 for SMP (multiple processors) powerpc systems. If you do not have more
 than one CPU, then choose the non-SMP kernel image.
 .
 This version contains the kernel image and modules for Power Macintosh,
 CHRP, Pegasos, IBM RS6000 CHRP and PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.
 .
 This is only a dummy package needed during the build process by make-kpkg.

Package: kernel-image-2.4.25-powerpc-smp-pmac
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc-smp (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc-smp
Conflicts: kernel-image-2.4.25-powerpc-smp, kernel-image-2.4.25-powerpc-smp-chrp, kernel-image-2.4.25-powerpc-smp-chrp-rs6k, kernel-image-2.4.25-powerpc-smp-prep
Replaces: kernel-image-2.4.25-powerpc-smp
Description: linux kernel pmac and yaboot binary image for the powerpc-smp config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update. This kernel is specifically
 for SMP (multiple processors) powerpc systems. If you do not have more
 than one CPU, then choose the non-SMP kernel image.
 .
 This version contains the kernel images for Power Macintosh computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-image-2.4.25-powerpc-smp-chrp
Section: base
Architecture: powerpc
Depends: kernel-modules-2.4.25-powerpc-smp (= ${Source-Version})
Suggests: kernel-doc-2.4.25
Provides: kernel-image, kernel-image-2.4.25-powerpc-smp
Conflicts: kernel-image-2.4.25-powerpc-smp, kernel-image-2.4.25-powerpc-smp-pmac, kernel-image-2.4.25-powerpc-smp-chrp-rs6k, kernel-image-2.4.25-powerpc-smp-prep
Replaces: kernel-image-2.4.25-powerpc-smp
Description: linux kernel CHRP binary image for the powerpc-smp config
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update. This kernel is specifically
 for SMP (multiple processors) powerpc systems. If you do not have more
 than one CPU, then choose the non-SMP kernel image.
 .
 This version contains the kernel images for CHRP and Pegasos computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.25-powerpc.

Package: kernel-image-2.4.25-powerpc-smp-chrp-rs6k
Section: base
